import { GridOptions } from '@ag-grid-community/core';
import { GridTabulator } from '@genesislcap/grid-tabulator';
/**
 * @tagname %%prefix%%-grid-tabulator
 */
export declare class ZeroGridTabulator extends GridTabulator {
    /**
     * Sets default theme to Rapid
     * @override
     */
    theme: string;
    themeChanged(oldValue: string, newValue: string): void;
    /**
     * Handles extra ZERO configs
     * @override
     */
    set gridOptions(options: GridOptions);
}
export declare const zeroGridTabulatorShadowOptions: ShadowRootInit;
export declare const zeroGridTabulatorDefaultConfig: {
    shadowOptions: any;
};
export declare const zeroGridTabulator: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    shadowOptions: any;
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    shadowOptions: any;
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}, typeof ZeroGridTabulator>;
//# sourceMappingURL=grid-tabulator.d.ts.map